• R/O
  • HTTP
  • SSH
  • HTTPS

packages: Commit

Community maintained packages for ImmortalWrt.


Commit MetaInfo

Revisionc7f6c835d0dbbbe4674b295c15f69481822607da (tree)
Time2022-12-06 02:07:06
AuthorTianling Shen <cnsztl@immo...>
CommiterTianling Shen

Log Message

Merge Official Source

Signed-off-by: Tianling Shen <cnsztl@immortalwrt.org>

Change Summary

Incremental Difference

--- a/lang/php7/Makefile
+++ b/lang/php7/Makefile
@@ -6,7 +6,7 @@
66 include $(TOPDIR)/rules.mk
77
88 PKG_NAME:=php
9-PKG_VERSION:=7.4.32
9+PKG_VERSION:=7.4.33
1010 PKG_RELEASE:=1
1111
1212 PKG_MAINTAINER:=Michael Heimpold <mhei@heimpold.de>
@@ -16,7 +16,7 @@ PKG_CPE_ID:=cpe:/a:php:php
1616
1717 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
1818 PKG_SOURCE_URL:=http://www.php.net/distributions/
19-PKG_HASH:=323332c991e8ef30b1d219cb10f5e30f11b5f319ce4c6642a5470d75ade7864a
19+PKG_HASH:=924846abf93bc613815c55dd3f5809377813ac62a9ec4eb3778675b82a27b927
2020
2121 PKG_BUILD_PARALLEL:=1
2222 PKG_USE_MIPS16:=0
--- a/lang/php8/Makefile
+++ b/lang/php8/Makefile
@@ -6,7 +6,7 @@
66 include $(TOPDIR)/rules.mk
77
88 PKG_NAME:=php
9-PKG_VERSION:=8.0.24
9+PKG_VERSION:=8.0.25
1010 PKG_RELEASE:=1
1111
1212 PKG_MAINTAINER:=Michael Heimpold <mhei@heimpold.de>
@@ -16,7 +16,7 @@ PKG_CPE_ID:=cpe:/a:php:php
1616
1717 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
1818 PKG_SOURCE_URL:=http://www.php.net/distributions/
19-PKG_HASH:=8e6a63ac9cdabe4c345b32a54b18f348d9e50a1decda217faf2d61278d22f08b
19+PKG_HASH:=a291b71d0498707fc5514eb5b9513e88f0f1d4890bcdefd67282ded8a2bfb941
2020
2121 PKG_BUILD_PARALLEL:=1
2222 PKG_USE_MIPS16:=0
--- a/libs/libmbim/Makefile
+++ b/libs/libmbim/Makefile
@@ -8,28 +8,29 @@
88 include $(TOPDIR)/rules.mk
99
1010 PKG_NAME:=libmbim
11-PKG_VERSION:=1.24.8
12-PKG_RELEASE:=1
11+PKG_SOURCE_VERSION:=1.26.4
12+PKG_RELEASE:=$(AUTORELEASE)
1313
14-PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
15-PKG_SOURCE_URL:=https://www.freedesktop.org/software/libmbim
16-PKG_HASH:=02590736163fff10e5732191fccc1b9920969616ddc59613a003052a116a3c25
14+PKG_SOURCE_PROTO:=git
15+PKG_SOURCE_URL:=https://gitlab.freedesktop.org/mobile-broadband/libmbim.git
16+PKG_MIRROR_HASH:=4963f9135f8ad26165d969d0b2028b00d68243201113c94a2ebe22c4227058a4
1717
18-PKG_MAINTAINER:=Nicholas Smith <nicholas.smith@telcoantennas.com.au>
18+PKG_MAINTAINER:=Nicholas Smith <nicholas@nbembedded.com>
1919
2020 PKG_INSTALL:=1
21-PKG_BUILD_PARALLEL:=1
2221
2322 include $(INCLUDE_DIR)/package.mk
2423 include $(INCLUDE_DIR)/nls.mk
24+include ../../devel/meson/meson.mk
2525
26-CONFIGURE_ARGS += \
27- --disable-static \
28- --disable-gtk-doc \
29- --disable-gtk-doc-html \
30- --disable-gtk-doc-pdf \
31- --disable-silent-rules \
32- --enable-more-warnings=yes
26+TARGET_CFLAGS += -ffunction-sections -fdata-sections -fno-merge-all-constants -fmerge-constants
27+TARGET_LDFLAGS += -Wl,--gc-sections
28+
29+MESON_ARGS += \
30+ -Dintrospection=false \
31+ -Dman=false \
32+ -Dbash_completion=false \
33+ -Db_lto=true
3334
3435 define Package/libmbim
3536 SECTION:=libs
@@ -56,10 +57,6 @@ define Package/mbim-utils
5657 LICENSE_FILES:=COPYING
5758 endef
5859
59-CONFIGURE_ARGS += \
60- --without-udev \
61- --without-udev-base-dir
62-
6360 define Build/InstallDev
6461 $(INSTALL_DIR) $(1)/usr/include
6562 $(CP) \
@@ -78,11 +75,15 @@ define Build/InstallDev
7875 endef
7976
8077 define Package/libmbim/install
81- $(INSTALL_DIR) $(1)/usr/lib
78+ $(INSTALL_DIR) \
79+ $(1)/usr/lib \
80+ $(1)/usr/libexec
81+
8282 $(CP) \
8383 $(PKG_INSTALL_DIR)/usr/lib/libmbim*.so.* \
8484 $(1)/usr/lib/
85- $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/lib/mbim-proxy $(1)/usr/lib/
85+
86+ $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/libexec/mbim-proxy $(1)/usr/libexec/
8687 endef
8788
8889 define Package/mbim-utils/install
--- a/libs/libqmi/Config.in
+++ b/libs/libqmi/Config.in
@@ -13,4 +13,19 @@ config LIBQMI_WITH_QRTR_GLIB
1313 help
1414 Compile libqmi with QRTR support
1515
16+choice
17+ prompt "Select QMI message collection to build"
18+ default LIBQMI_COLLECTION_BASIC
19+
20+ config LIBQMI_COLLECTION_MINIMAL
21+ depends on !MODEMMANAGER_WITH_QMI
22+ bool "minimal"
23+
24+ config LIBQMI_COLLECTION_BASIC
25+ bool "basic (default)"
26+
27+ config LIBQMI_COLLECTION_FULL
28+ bool "full"
29+endchoice
30+
1631 endmenu
--- a/libs/libqmi/Makefile
+++ b/libs/libqmi/Makefile
@@ -8,20 +8,23 @@
88 include $(TOPDIR)/rules.mk
99
1010 PKG_NAME:=libqmi
11-PKG_VERSION:=1.28.8
12-PKG_RELEASE:=1
11+PKG_SOURCE_VERSION:=1.30.8
12+PKG_RELEASE:=$(AUTORELEASE)
1313
14-PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
15-PKG_SOURCE_URL:=https://www.freedesktop.org/software/libqmi
16-PKG_HASH:=6e3bbbd200bc1b64b23f6254fef9212f2699ec77cfb32075d2ba5079c73a9f78
14+PKG_SOURCE_PROTO:=git
15+PKG_SOURCE_URL:=https://gitlab.freedesktop.org/mobile-broadband/libqmi.git
16+PKG_MIRROR_HASH:=a0fa33a89011bdb593f66fd0b674f2a7c31f87e43ffd7f3e9a515b00864c4a91
1717
1818 PKG_MAINTAINER:=Nicholas Smith <nicholas@nbembedded.com>
1919
2020 PKG_INSTALL:=1
21-PKG_BUILD_PARALLEL:=1
2221
2322 include $(INCLUDE_DIR)/package.mk
2423 include $(INCLUDE_DIR)/nls.mk
24+include ../../devel/meson/meson.mk
25+
26+TARGET_CFLAGS += -ffunction-sections -fdata-sections -fno-merge-all-constants -fmerge-constants
27+TARGET_LDFLAGS += -Wl,--gc-sections
2528
2629 define Package/libqmi/config
2730 source "$(SOURCE)/Config.in"
@@ -59,28 +62,16 @@ define Package/libqmi-utils/description
5962 Utils to talk to QMI enabled modems
6063 endef
6164
62-CONFIGURE_ARGS += \
63- --disable-static \
64- --disable-gtk-doc \
65- --disable-gtk-doc-html \
66- --disable-gtk-doc-pdf \
67- --disable-silent-rules \
68- --enable-firmware-update \
69- --enable-more-warnings=yes \
70- --without-udev \
71- --without-udev-base-dir
72-
73-ifeq ($(CONFIG_LIBQMI_WITH_MBIM_QMUX),y)
74- CONFIGURE_ARGS += --enable-mbim-qmux
75-else
76- CONFIGURE_ARGS += --disable-mbim-qmux
77-endif
78-
79-ifeq ($(CONFIG_LIBQMI_WITH_QRTR_GLIB),y)
80- CONFIGURE_ARGS += --enable-qrtr
81-else
82- CONFIGURE_ARGS += --disable-qrtr
83-endif
65+MESON_ARGS += \
66+ -Dudev=false \
67+ -Dintrospection=false \
68+ -Dman=false \
69+ -Dbash_completion=false \
70+ -Db_lto=true \
71+ -Dmbim_qmux=$(if $(CONFIG_LIBQMI_WITH_MBIM_QMUX),true,false) \
72+ -Dqrtr=$(if $(CONFIG_LIBQMI_WITH_QRTR_GLIB),true,false) \
73+ -Dcollection=$(if $(CONFIG_LIBQMI_COLLECTION_MINIMAL),minimal\
74+ ,$(if $(CONFIG_LIBQMI_COLLECTION_BASIC),basic,full))
8475
8576 define Build/InstallDev
8677 $(INSTALL_DIR) $(1)/usr/include
@@ -100,12 +91,15 @@ define Build/InstallDev
10091 endef
10192
10293 define Package/libqmi/install
103- $(INSTALL_DIR) $(1)/usr/lib
94+ $(INSTALL_DIR) \
95+ $(1)/usr/lib \
96+ $(1)/usr/libexec
97+
10498 $(CP) \
10599 $(PKG_INSTALL_DIR)/usr/lib/libqmi*.so.* \
106100 $(1)/usr/lib/
107101
108- $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/lib/qmi-proxy $(1)/usr/lib/
102+ $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/libexec/qmi-proxy $(1)/usr/libexec/
109103 endef
110104
111105 define Package/qmi-utils/install
--- a/net/ariang/Makefile
+++ b/net/ariang/Makefile
@@ -1,12 +1,12 @@
11 include $(TOPDIR)/rules.mk
22
33 PKG_NAME:=ariang
4-PKG_VERSION:=1.2.4
4+PKG_VERSION:=1.3.2
55 PKG_RELEASE:=$(AUTORELEASE)
66
77 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).zip
88 PKG_SOURCE_URL:=https://github.com/mayswind/AriaNg/releases/download/$(PKG_VERSION)
9-PKG_HASH:=a72dc5d7640e864c2dd528c88db493a3056087412537e87c6c5a98141a482380
9+PKG_HASH:=2186dacf57c9d1650e00084c0454f2227e910f3203d89c6190f547b40cac7243
1010 UNPACK_CMD=unzip -q -d $(1) $(DL_DIR)/$(PKG_SOURCE)
1111
1212 PKG_MAINTAINER:=Ansuel Smith <ansuelsmth@gmail.com>
--- a/net/lighttpd/files/lighttpd.conf
+++ b/net/lighttpd/files/lighttpd.conf
@@ -1,34 +1,41 @@
1-server.document-root = "/www"
1+### Documentation
2+# https://wiki.lighttpd.net/
3+#
4+### Configuration Syntax
5+# https://wiki.lighttpd.net/Docs_Configuration
6+#
7+### Configuration Options
8+# https://wiki.lighttpd.net/Docs_ConfigurationOptions
9+#
10+### Configuration Variables (potentially used in /etc/lighttpd/conf.d/*.conf)
11+var.log_root = "/var/log/lighttpd/"
12+var.server_root = "/www/"
13+var.state_dir = "/var/run/"
14+var.home_dir = "/var/lib/lighttpd/"
15+var.conf_dir = "/etc/lighttpd"
16+var.vhosts_dir = server_root + "/vhosts"
17+var.cache_dir = "/var/cache/lighttpd"
18+var.socket_dir = home_dir + "/sockets"
19+
20+### OpenWRT lighttpd base configuration
21+server.document-root = server_root
222 server.upload-dirs = ( "/tmp" )
3-server.errorlog = "/var/log/lighttpd/error.log"
4-server.pid-file = "/var/run/lighttpd.pid"
23+server.errorlog = log_root + "error.log"
24+server.pid-file = state_dir + "lighttpd.pid"
525 server.username = "http"
626 server.groupname = "www-data"
727
28+# historical; preserved for compatibility; should have been disabled by default
829 index-file.names = ( "index.php", "index.html",
930 "index.htm", "default.htm",
1031 )
1132
1233 static-file.exclude-extensions = ( ".php", ".pl", ".fcgi" )
1334
14-### Features
15-#https://redmine.lighttpd.net/projects/lighttpd/wiki/Server_feature-flagsDetails
16-server.feature-flags += ("server.graceful-shutdown-timeout" => 5)
17-#server.feature-flags += ("server.graceful-restart-bg" => "enable")
18-
19-### Options that are useful but not always necessary:
20-#server.chroot = "/"
21-#server.port = 81
22-#server.bind = "localhost"
23-#server.tag = "lighttpd"
24-#server.errorlog-use-syslog = "enable"
25-#server.network-backend = "writev"
26-
27-### Use IPv6 if available
28-#include_shell "/usr/share/lighttpd/use-ipv6.pl"
29-
30-#dir-listing.encoding = "utf-8"
31-#dir-listing.activate = "enable"
32-
3335 include "/etc/lighttpd/mime.conf"
3436 include "/etc/lighttpd/conf.d/*.conf"
37+
38+### Customizations
39+# customizations should generally be placed in separate files such as
40+# /etc/lighttpd/conf.d/00_vars.conf # override variables for conf.d/*.conf
41+# /etc/lighttpd/conf.d/zz_custom.conf # override other conf.d/*.conf settings
--- a/net/lighttpd/files/lighttpd.init
+++ b/net/lighttpd/files/lighttpd.init
@@ -8,18 +8,20 @@ USE_PROCD=1
88 PROG=/usr/sbin/lighttpd
99
1010 validate_conf() {
11- $PROG -tt -f /etc/lighttpd/lighttpd.conf >/dev/null 2>&1 || {
12- echo "validation failed"
11+ $PROG -tt -f /etc/lighttpd/lighttpd.conf >/dev/null || {
12+ echo 1>&2 "lighttpd.conf validation failed"
1313 return 1
1414 }
1515 }
1616
1717 start_service() {
1818 user_exists http || user_add http
19- [ -d /var/log/lighttpd ] || {
20- mkdir -m 0775 -p /var/log/lighttpd
21- chgrp www-data /var/log/lighttpd
22- }
19+ for i in /var/log/lighttpd /var/lib/lighttpd /var/cache/lighttpd; do
20+ [ -d "$i" ] || {
21+ mkdir -m 0775 -p "$i"
22+ chgrp www-data "$i"
23+ }
24+ done
2325
2426 validate_conf || exit 1
2527
@@ -34,6 +36,7 @@ service_triggers() {
3436 }
3537
3638 reload_service() {
39+ validate_conf || exit 1
3740 # lighttpd graceful restart (SIGUSR1)
3841 procd_send_signal lighttpd '*' USR1
3942 }
--- a/net/modemmanager/Makefile
+++ b/net/modemmanager/Makefile
@@ -8,15 +8,15 @@
88 include $(TOPDIR)/rules.mk
99
1010 PKG_NAME:=modemmanager
11-PKG_VERSION:=1.16.6
12-PKG_RELEASE:=1
11+PKG_VERSION:=1.18.12
12+PKG_RELEASE:=$(AUTORELEASE)
1313
1414 PKG_SOURCE:=ModemManager-$(PKG_VERSION).tar.xz
1515 PKG_SOURCE_URL:=https://www.freedesktop.org/software/ModemManager
16-PKG_HASH:=2a90b6260f66d3135609d62667ada73416694d717e7fd9b73223e3703a499617
16+PKG_HASH:=b464e4925d955a6ca86dd08616e763b26ae46d7fd37dbe281678e34065b1e430
1717 PKG_BUILD_DIR:=$(BUILD_DIR)/ModemManager-$(PKG_VERSION)
1818
19-PKG_MAINTAINER:=Nicholas Smith <nicholas.smith@telcoantennas.com.au>
19+PKG_MAINTAINER:=Nicholas Smith <nicholas@nbembedded.com>
2020 PKG_LICENSE:=GPL-2.0-or-later
2121 PKG_LICENSE_FILES:=COPYING
2222
@@ -98,6 +98,7 @@ define Package/modemmanager/install
9898
9999 $(INSTALL_DIR) $(1)/usr/sbin
100100 $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/sbin/ModemManager $(1)/usr/sbin
101+ $(INSTALL_BIN) ./files/usr/sbin/ModemManager-wrapper $(1)/usr/sbin
101102
102103 $(INSTALL_DIR) $(1)/usr/bin
103104 $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/mmcli $(1)/usr/bin
@@ -109,6 +110,9 @@ define Package/modemmanager/install
109110 $(CP) $(PKG_INSTALL_DIR)/usr/lib/ModemManager/libmm-shared-*.so* $(1)/usr/lib/ModemManager
110111 $(CP) $(PKG_INSTALL_DIR)/usr/lib/ModemManager/libmm-plugin-*.so* $(1)/usr/lib/ModemManager
111112
113+ $(INSTALL_DIR) $(1)/usr/lib/ModemManager/connection.d
114+ $(INSTALL_BIN) ./files/10-report-down $(1)/usr/lib/ModemManager/connection.d
115+
112116 $(INSTALL_DIR) $(1)/etc/dbus-1/system.d
113117 $(INSTALL_CONF) $(PKG_INSTALL_DIR)/etc/dbus-1/system.d/org.freedesktop.ModemManager1.conf $(1)/etc/dbus-1/system.d
114118
@@ -119,6 +123,9 @@ define Package/modemmanager/install
119123 $(INSTALL_DATA) $(PKG_INSTALL_DIR)/usr/share/ModemManager/*.conf $(1)/usr/share/ModemManager
120124 $(INSTALL_DATA) ./files/modemmanager.common $(1)/usr/share/ModemManager
121125
126+ $(INSTALL_DIR) $(1)/usr/share/ModemManager/fcc-unlock.available.d
127+ $(INSTALL_DATA) $(PKG_INSTALL_DIR)/usr/share/ModemManager/fcc-unlock.available.d/* $(1)/usr/share/ModemManager/fcc-unlock.available.d
128+
122129 $(INSTALL_DIR) $(1)/etc/init.d
123130 $(INSTALL_BIN) ./files/modemmanager.init $(1)/etc/init.d/modemmanager
124131
@@ -131,6 +138,9 @@ define Package/modemmanager/install
131138 $(INSTALL_DIR) $(1)/etc/hotplug.d/tty
132139 $(INSTALL_DATA) ./files/25-modemmanager-tty $(1)/etc/hotplug.d/tty
133140
141+ $(INSTALL_DIR) $(1)/etc/hotplug.d/wwan
142+ $(INSTALL_DATA) ./files/25-modemmanager-wwan $(1)/etc/hotplug.d/wwan
143+
134144 $(INSTALL_DIR) $(1)/lib/netifd/proto
135145 $(INSTALL_BIN) ./files/modemmanager.proto $(1)/lib/netifd/proto/modemmanager.sh
136146 endef
--- /dev/null
+++ b/net/modemmanager/files/10-report-down
@@ -0,0 +1,35 @@
1+#!/bin/sh
2+
3+# SPDX-License-Identifier: CC0-1.0
4+# 2022 Aleksander Morgado <aleksander@aleksander.es>
5+#
6+# Automatically report to netifd that the underlying modem
7+# is really disconnected
8+#
9+# require program name and at least 4 arguments
10+[ $# -lt 4 ] && exit 1
11+
12+MODEM_PATH="$1"
13+BEARER_PATH="$2"
14+INTERFACE="$3"
15+STATE="$4"
16+
17+[ "${STATE}" = "disconnected" ] || exit 0
18+
19+. /usr/share/ModemManager/modemmanager.common
20+. /lib/netifd/netifd-proto.sh
21+INCLUDE_ONLY=1 . /lib/netifd/proto/modemmanager.sh
22+
23+MODEM_STATUS=$(mmcli --modem="${MODEM_PATH}" --output-keyvalue)
24+[ -n "${MODEM_STATUS}" ] || exit 1
25+
26+MODEM_DEVICE=$(modemmanager_get_field "${MODEM_STATUS}" "modem.generic.device")
27+[ -n "${MODEM_DEVICE}" ] || exit 2
28+
29+CFG=$(mm_get_modem_config "${MODEM_DEVICE}")
30+[ -n "${CFG}" ] || exit 3
31+
32+logger -t "modemmanager" "interface ${CFG} (network device ${INTERFACE}) ${STATE}"
33+proto_init_update $INTERFACE 0
34+proto_send_update $CFG
35+exit 0
--- a/net/modemmanager/files/25-modemmanager-net
+++ b/net/modemmanager/files/25-modemmanager-net
@@ -12,7 +12,7 @@
1212 mkdir -m 0755 -p "${MODEMMANAGER_RUNDIR}"
1313
1414 # Report network interface
15-mm_log "${ACTION} network interface ${INTERFACE}: event processed"
15+mm_log "info" "${ACTION} network interface ${INTERFACE}: event processed"
1616 mm_report_event "${ACTION}" "${INTERFACE}" "net" "/sys${DEVPATH}"
1717
1818 # Look for an associated cdc-wdm interface
@@ -26,6 +26,6 @@ esac
2626
2727 # Report cdc-wdm device, if any
2828 [ -n "${cdcwdm}" ] && {
29- mm_log "${ACTION} cdc interface ${cdcwdm}: custom event processed"
29+ mm_log "info" "${ACTION} cdc interface ${cdcwdm}: custom event processed"
3030 mm_report_event "${ACTION}" "${cdcwdm}" "usbmisc" "/sys${DEVPATH}"
3131 }
--- a/net/modemmanager/files/25-modemmanager-tty
+++ b/net/modemmanager/files/25-modemmanager-tty
@@ -12,5 +12,5 @@
1212 mkdir -m 0755 -p "${MODEMMANAGER_RUNDIR}"
1313
1414 # Report TTY
15-mm_log "${ACTION} serial interface ${DEVNAME}: event processed"
15+mm_log "info" "${ACTION} serial interface ${DEVNAME}: event processed"
1616 mm_report_event "${ACTION}" "${DEVNAME}" "tty" "/sys${DEVPATH}"
--- /dev/null
+++ b/net/modemmanager/files/25-modemmanager-wwan
@@ -0,0 +1,15 @@
1+#!/bin/sh
2+# Copyright (C) 2021 Aleksander Morgado <aleksander@aleksander.es>
3+
4+# Load hotplug common utilities
5+. /usr/share/ModemManager/modemmanager.common
6+
7+# We require a device name
8+[ -n "$DEVNAME" ] || exit
9+
10+# Always make sure the rundir exists
11+mkdir -m 0755 -p "${MODEMMANAGER_RUNDIR}"
12+
13+# Report wwan
14+mm_log "info" "${ACTION} wwan control port ${DEVNAME}: event processed"
15+mm_report_event "${ACTION}" "${DEVNAME}" "wwan" "/sys${DEVPATH}"
--- a/net/modemmanager/files/modemmanager.common
+++ b/net/modemmanager/files/modemmanager.common
@@ -20,7 +20,8 @@ MODEMMANAGER_EVENTS_CACHE="${MODEMMANAGER_RUNDIR}/events.cache"
2020 # Common logging
2121
2222 mm_log() {
23- logger -t "ModemManager" "hotplug: $*"
23+ local level="$1"; shift
24+ logger -p "daemon.${level}" -t "ModemManager[$$]" "hotplug: $*"
2425 }
2526
2627 ################################################################################
@@ -160,7 +161,7 @@ mm_wait_for_modem() {
160161
161162 while [ $n -ge 0 ]; do
162163 [ -d "${sysfspath}" ] || {
163- mm_log "error: ignoring modem detection request: no device at ${sysfspath}"
164+ mm_log "error" "ignoring modem detection request: no device at ${sysfspath}"
164165 proto_set_available "${cfg}" 0
165166 return 1
166167 }
@@ -168,10 +169,10 @@ mm_wait_for_modem() {
168169 # Check if the modem exists at the given sysfs path
169170 if ! mmcli -m "${sysfspath}" > /dev/null 2>&1
170171 then
171- mm_log "error: modem not detected at sysfs path"
172+ mm_log "error" "modem not detected at sysfs path"
172173 else
173- mm_log "modem exported successfully at ${sysfspath}"
174- mm_log "setting interface '${cfg}' as available"
174+ mm_log "info" "modem exported successfully at ${sysfspath}"
175+ mm_log "info" "setting interface '${cfg}' as available"
175176 proto_set_available "${cfg}" 1
176177 return 0
177178 fi
@@ -180,7 +181,7 @@ mm_wait_for_modem() {
180181 n=$((n-step))
181182 done
182183
183- mm_log "error: timed out waiting for the modem to get exported at ${sysfspath}"
184+ mm_log "error" "timed out waiting for the modem to get exported at ${sysfspath}"
184185 proto_set_available "${cfg}" 0
185186 return 2
186187 }
@@ -192,7 +193,7 @@ mm_report_modem_wait() {
192193
193194 parent_sysfspath=$(mm_find_physdev_sysfs_path "$sysfspath")
194195 [ -n "${parent_sysfspath}" ] || {
195- mm_log "error: parent device sysfspath not found"
196+ mm_log "error" "parent device sysfspath not found"
196197 return
197198 }
198199
@@ -203,23 +204,23 @@ mm_report_modem_wait() {
203204
204205 cfg=$(mm_get_modem_config "${parent_sysfspath}")
205206 if [ -n "${cfg}" ]; then
206- mm_log "interface '${cfg}' is set to configure device '${parent_sysfspath}'"
207- mm_log "now waiting for modem at sysfs path ${parent_sysfspath}"
207+ mm_log "info" "interface '${cfg}' is set to configure device '${parent_sysfspath}'"
208+ mm_log "info" "now waiting for modem at sysfs path ${parent_sysfspath}"
208209 mm_set_modem_wait_status "${parent_sysfspath}" "processed"
209210 # Launch subshell for the explicit wait
210211 ( mm_wait_for_modem "${cfg}" "${parent_sysfspath}" ) > /dev/null 2>&1 &
211212 else
212- mm_log "no need to wait for modem at sysfs path ${parent_sysfspath}"
213+ mm_log "info" "no need to wait for modem at sysfs path ${parent_sysfspath}"
213214 mm_set_modem_wait_status "${parent_sysfspath}" "ignored"
214215 fi
215216 ;;
216217 "processed")
217- mm_log "already waiting for modem at sysfs path ${parent_sysfspath}"
218+ mm_log "info" "already waiting for modem at sysfs path ${parent_sysfspath}"
218219 ;;
219220 "ignored")
220221 ;;
221222 *)
222- mm_log "error: unknown status read for device at sysfs path ${parent_sysfspath}"
223+ mm_log "error" "unknown status read for device at sysfs path ${parent_sysfspath}"
223224 ;;
224225 esac
225226 }
@@ -249,7 +250,7 @@ mm_cleanup_interface_by_sysfspath() {
249250 cfg=$(mm_get_modem_config "$dev")
250251 [ -n "${cfg}" ] || return
251252
252- mm_log "setting interface '$cfg' as unavailable"
253+ mm_log "info" "setting interface '$cfg' as unavailable"
253254 proto_set_available "${cfg}" 0
254255 }
255256
@@ -277,7 +278,7 @@ mm_report_event() {
277278 esac
278279
279280 # Report the event
280- mm_log "event reported: action=${action}, name=${name}, subsystem=${subsystem}"
281+ mm_log "debug" "event reported: action=${action}, name=${name}, subsystem=${subsystem}"
281282 mmcli --report-kernel-event="action=${action},name=${name},subsystem=${subsystem}" 1>/dev/null 2>&1 &
282283
283284 # Wait for added modem if a sysfspath is given
@@ -293,7 +294,7 @@ mm_report_event_from_cache_line() {
293294 subsystem=$(echo "${event_line}" | awk -F ',' '{ print $3 }')
294295 sysfspath=$(echo "${event_line}" | awk -F ',' '{ print $4 }')
295296
296- mm_log "cached event found: action=${action}, name=${name}, subsystem=${subsystem}, sysfspath=${sysfspath}"
297+ mm_log "debug" "cached event found: action=${action}, name=${name}, subsystem=${subsystem}, sysfspath=${sysfspath}"
297298 mm_report_event "${action}" "${name}" "${subsystem}" "${sysfspath}"
298299 }
299300
@@ -308,11 +309,11 @@ mm_report_events_from_cache() {
308309 # Wait for ModemManager to be available in the bus
309310 while [ $n -ge 0 ]; do
310311 sleep $step
311- mm_log "checking if ModemManager is available..."
312+ mm_log "info" "checking if ModemManager is available..."
312313
313314 if ! mmcli -L >/dev/null 2>&1
314315 then
315- mm_log "ModemManager not yet available"
316+ mm_log "info" "ModemManager not yet available"
316317 else
317318 mmrunning=1
318319 break
@@ -321,7 +322,7 @@ mm_report_events_from_cache() {
321322 done
322323
323324 [ ${mmrunning} -eq 1 ] || {
324- mm_log "error: couldn't report initial kernel events: ModemManager not running"
325+ mm_log "error" "couldn't report initial kernel events: ModemManager not running"
325326 return
326327 }
327328
--- a/net/modemmanager/files/modemmanager.init
+++ b/net/modemmanager/files/modemmanager.init
@@ -4,6 +4,8 @@
44 USE_PROCD=1
55 START=70
66
7+LOG_LEVEL="INFO"
8+
79 stop_service() {
810 # Load common utils
911 . /usr/share/ModemManager/modemmanager.common
@@ -22,14 +24,14 @@ start_service() {
2224 # it starts.
2325 #
2426 # All these commands need to be executed on every MM start, even after
25- # procd-triggered respawns, which is why they're all included as instance command
27+ # procd-triggered respawns, which is why this is wrapped in a startup
28+ # wrapper script called '/usr/sbin/ModemManager-wrapper'.
2629 #
30+ . /usr/share/ModemManager/modemmanager.common
2731 procd_open_instance
28- procd_set_param command sh -c ". /usr/share/ModemManager/modemmanager.common; \
29- mkdir -m 0755 -p ${MODEMMANAGER_RUNDIR}; \
30- mm_cleanup_interfaces; \
31- ( mm_report_events_from_cache ) >/dev/null 2>&1 & \
32- /usr/sbin/ModemManager"
32+ procd_set_param command /usr/sbin/ModemManager-wrapper
33+ procd_append_param command --log-level="$LOG_LEVEL"
34+ [ "$LOG_LEVEL" = "DEBUG" ] && procd_append_param command --debug
3335 procd_set_param respawn "${respawn_threshold:-3600}" "${respawn_timeout:-5}" "${respawn_retry:-5}"
3436 procd_set_param pidfile "${MODEMMANAGER_PID_FILE}"
3537 procd_close_instance
--- a/net/modemmanager/files/modemmanager.proto
+++ b/net/modemmanager/files/modemmanager.proto
@@ -515,7 +515,8 @@ proto_modemmanager_teardown() {
515515 modemstatus=$(mmcli --modem="${device}" --output-keyvalue)
516516 bearerpath=$(modemmanager_get_field "${modemstatus}" "modem.generic.bearers.value\[1\]")
517517 [ -n "${bearerpath}" ] || {
518- echo "couldn't load bearer path"
518+ echo "couldn't load bearer path: disconnecting anyway"
519+ mmcli --modem="${device}" --simple-disconnect >/dev/null 2>&1
519520 return
520521 }
521522
--- /dev/null
+++ b/net/modemmanager/files/usr/sbin/ModemManager-wrapper
@@ -0,0 +1,33 @@
1+#!/bin/sh
2+
3+trap_with_arg() {
4+ func="$1" ; shift
5+ for sig ; do
6+ # shellcheck disable=SC2064
7+ trap "$func $sig" "$sig"
8+ done
9+}
10+
11+func_trap() {
12+ logger "ModemManager-wrapper[$$]" "Sending signal ${1}..."
13+ kill "-${1}" "$CHILD" 2>/dev/null
14+}
15+
16+main() {
17+ . /usr/share/ModemManager/modemmanager.common
18+
19+ trap_with_arg func_trap INT TERM KILL
20+
21+ mkdir -p "${MODEMMANAGER_RUNDIR}"
22+ chmod 0755 "${MODEMMANAGER_RUNDIR}"
23+ mm_cleanup_interfaces
24+
25+ /usr/sbin/ModemManager "$@" 1>/dev/null 2>/dev/null &
26+ CHILD="$!"
27+
28+ mm_report_events_from_cache
29+
30+ wait "$CHILD"
31+}
32+
33+main "$@"
--- a/net/nextdns/Makefile
+++ b/net/nextdns/Makefile
@@ -8,13 +8,13 @@
88 include $(TOPDIR)/rules.mk
99
1010 PKG_NAME:=nextdns
11-PKG_VERSION:=1.37.11
12-PKG_RELEASE:=1
11+PKG_VERSION:=1.38.0
12+PKG_RELEASE:=2
1313
1414 PKG_SOURCE:=nextdns-$(PKG_VERSION).tar.gz
1515 PKG_SOURCE_VERSION:=v$(PKG_VERSION)
1616 PKG_SOURCE_URL:=https://codeload.github.com/nextdns/nextdns/tar.gz/v$(PKG_VERSION)?
17-PKG_HASH:=f70cb424b0ae47456c8579d3910b486f75afde34572f28f8cf6eb1222e59b88b
17+PKG_HASH:=74cd9d37ea9051b5b5f8f10be1462fb4ebe77b4dbcccd8c94ba049828bd21bff
1818
1919 PKG_MAINTAINER:=Olivier Poitrey <rs@nextdns.io>
2020 PKG_LICENSE:=MIT
@@ -50,13 +50,9 @@ define Package/nextdns/install
5050
5151 $(INSTALL_DIR) $(1)/etc/config
5252 $(INSTALL_CONF) ./files/nextdns.config $(1)/etc/config/nextdns
53-endef
5453
55-define Package/nextdns/postinst
56-#!/bin/sh
57-if [ -z "$${IPKG_INSTROOT}" ]; then
58- nextdns install
59-fi
54+ $(INSTALL_DIR) $(1)/etc/uci-defaults
55+ $(INSTALL_BIN) ./files/nextdns.defaults $(1)/etc/uci-defaults/nextdns
6056 endef
6157
6258 define Package/nextdns/prerm
--- /dev/null
+++ b/net/nextdns/files/nextdns.defaults
@@ -0,0 +1,8 @@
1+#!/bin/sh
2+
3+/usr/sbin/nextdns install
4+# opkg automatically enables each service, but not image builder,
5+# so enable it here to cover both cases
6+/etc/init.d/nextdns enable
7+
8+exit 0
--- a/net/ooniprobe/Makefile
+++ b/net/ooniprobe/Makefile
@@ -8,12 +8,12 @@
88 include $(TOPDIR)/rules.mk
99
1010 PKG_NAME:=ooniprobe
11-PKG_VERSION:=3.14.2
11+PKG_VERSION:=3.16.5
1212 PKG_RELEASE:=1
1313
1414 PKG_SOURCE:=probe-cli-$(PKG_VERSION).tar.gz
1515 PKG_SOURCE_URL:=https://codeload.github.com/ooni/probe-cli/tar.gz/v$(PKG_VERSION)?
16-PKG_HASH:=a0b71089444c899ba99c7f63f9e05819cdbe964cfa17bb95ca5672343e6aec22
16+PKG_HASH:=198f7a3507482bfbf0fb24c24f34e17c9f5adbfdf5d8c63774ecd816708a4438
1717
1818 PKG_MAINTAINER:=Jan Pavlinec <jan.pavlinec@nic.cz>
1919 PKG_LICENSE:=BSD-3-Clause
--- a/net/unbound/Makefile
+++ b/net/unbound/Makefile
@@ -8,12 +8,12 @@
88 include $(TOPDIR)/rules.mk
99
1010 PKG_NAME:=unbound
11-PKG_VERSION:=1.16.0
11+PKG_VERSION:=1.17.0
1212 PKG_RELEASE:=$(AUTORELEASE)
1313
1414 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
1515 PKG_SOURCE_URL:=https://nlnetlabs.nl/downloads/unbound
16-PKG_HASH:=6701534c938eb019626601191edc6d012fc534c09d2418d5b92827db0cbe48a5
16+PKG_HASH:=dcbc95d7891d9f910c66e4edc9f1f2fde4dea2eec18e3af9f75aed44a02f1341
1717
1818 PKG_MAINTAINER:=Eric Luehrsen <ericluehrsen@gmail.com>
1919 PKG_LICENSE:=BSD-3-Clause
--- a/net/unbound/patches/010-configure-uname.patch
+++ b/net/unbound/patches/010-configure-uname.patch
@@ -3,7 +3,7 @@ Fix cross compile errors by inserting an environment variable for the
33 target. Use "uname" on host only if "UNAME" variable is empty.
44 --- a/configure.ac
55 +++ b/configure.ac
6-@@ -812,7 +812,7 @@ if test x_$ub_test_python != x_no; then
6+@@ -818,7 +818,7 @@ if test x_$ub_test_python != x_no; then
77 fi
88 fi
99
--- a/net/unbound/patches/100-example-conf-in.patch
+++ b/net/unbound/patches/100-example-conf-in.patch
@@ -6,7 +6,7 @@ starting point for embedded routers if one is not going to use UCI.
66 +++ b/doc/example.conf.in
77 @@ -19,6 +19,76 @@ server:
88 # verbosity number, 0 is least verbose. 1 is default.
9- verbosity: 1
9+ # verbosity: 1
1010
1111 + ############################################################################
1212 + # MEMORY CONTROL EXAMPLE
--- a/net/uwsgi/Makefile
+++ b/net/uwsgi/Makefile
@@ -1,11 +1,11 @@
11 include $(TOPDIR)/rules.mk
22
33 PKG_NAME:=uwsgi
4-PKG_VERSION:=2.0.19.1
4+PKG_VERSION:=2.0.20
55 PKG_RELEASE:=1
66
7-PYPI_NAME:=uWSGI
8-PKG_HASH:=faa85e053c0b1be4d5585b0858d3a511d2cd10201802e8676060fd0a109e5869
7+PYPI_NAME:=uwsgi
8+PKG_HASH:=88ab9867d8973d8ae84719cf233b7dafc54326fcaec89683c3f9f77c002cdff9
99 PKG_BUILD_DEPENDS:=python3/host
1010 PYTHON3_PKG_BUILD:=0
1111
@@ -19,9 +19,6 @@ include ../../lang/python/python3-package.mk
1919 #for LINUX_UNAME_VERSION:
2020 include $(INCLUDE_DIR)/kernel.mk
2121
22-#the .tar.gz does not wrap it into a uWSGI dir; do not use "$(1)/..":
23-TAR_CMD=$(HOST_TAR) -C $(1) $(TAR_OPTIONS)
24-
2522 define Package/uwsgi
2623 SECTION:=net
2724 CATEGORY:=Network
--- a/net/uwsgi/patches/001-dont-hardcode-zlib.patch
+++ b/net/uwsgi/patches/001-dont-hardcode-zlib.patch
@@ -1,6 +1,6 @@
11 --- a/uwsgiconfig.py
22 +++ b/uwsgiconfig.py
3-@@ -856,11 +856,11 @@ class uConf(object):
3+@@ -859,11 +859,11 @@ class uConf(object):
44 self.cflags.append('-DUWSGI_HAS_EXECINFO')
55 report['execinfo'] = True
66
--- a/net/uwsgi/patches/002-dont-override-toolchain-optimization.patch
+++ b/net/uwsgi/patches/002-dont-override-toolchain-optimization.patch
@@ -1,6 +1,6 @@
11 --- a/uwsgiconfig.py
22 +++ b/uwsgiconfig.py
3-@@ -685,7 +685,7 @@ class uConf(object):
3+@@ -688,7 +688,7 @@ class uConf(object):
44 self.include_path += os.environ['UWSGI_INCLUDES'].split(',')
55
66
--- a/net/uwsgi/patches/003-hard-code-Linux-as-compilation-os.patch
+++ b/net/uwsgi/patches/003-hard-code-Linux-as-compilation-os.patch
@@ -1,6 +1,6 @@
11 --- a/uwsgiconfig.py
22 +++ b/uwsgiconfig.py
3-@@ -5,9 +5,9 @@ uwsgi_version = '2.0.19.1'
3+@@ -5,9 +5,9 @@ uwsgi_version = '2.0.20'
44 import os
55 import re
66 import time
--- a/net/uwsgi/patches/020-uwsgiconfig-system-python3.patch
+++ /dev/null
@@ -1,8 +0,0 @@
1---- a/Makefile
2-+++ b/Makefile
3-@@ -1,4 +1,4 @@
4--PYTHON := python
5-+PYTHON ?= python3
6-
7- all:
8- $(PYTHON) uwsgiconfig.py --build $(PROFILE)
--- a/net/v2raya/Makefile
+++ b/net/v2raya/Makefile
@@ -6,7 +6,7 @@ include $(TOPDIR)/rules.mk
66
77 PKG_NAME:=v2rayA
88 PKG_VERSION:=1.5.9.1698.1
9-PKG_RELEASE:=$(AUTORELEASE)
9+PKG_RELEASE:=2
1010
1111 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
1212 PKG_SOURCE_URL:=https://codeload.github.com/v2rayA/v2rayA/tar.gz/v$(PKG_VERSION)?
@@ -56,7 +56,7 @@ define Package/v2raya/conffiles
5656 /etc/config/v2raya
5757 endef
5858
59-WEB_FILE:=v2raya-web-$(PKG_VERSION).tar.gz
59+WEB_FILE:=$(PKG_NAME)-web-$(PKG_VERSION).tar.gz
6060 define Download/v2raya-web
6161 URL:=https://codeload.github.com/v2rayA/v2raya-web/tar.gz/v$(PKG_VERSION)?
6262 URL_FILE:=$(WEB_FILE)
--- /dev/null
+++ b/net/v2raya/test.sh
@@ -0,0 +1,3 @@
1+#!/bin/sh
2+
3+v2raya --version | grep "$PKG_VERSION"
--- a/net/xray-core/Makefile
+++ b/net/xray-core/Makefile
@@ -1,6 +1,6 @@
11 include $(TOPDIR)/rules.mk
22
3-PKG_NAME:=Xray-core
3+PKG_NAME:=xray-core
44 PKG_VERSION:=1.6.5
55 PKG_RELEASE:=$(AUTORELEASE)
66
@@ -12,6 +12,7 @@ PKG_MAINTAINER:=Tianling Shen <cnsztl@immortalwrt.org>
1212 PKG_LICENSE:=MPL-2.0
1313 PKG_LICENSE_FILES:=LICENSE
1414
15+PKG_BUILD_DIR:=$(BUILD_DIR)/Xray-core-$(PKG_VERSION)
1516 PKG_BUILD_DEPENDS:=golang/host
1617 PKG_BUILD_PARALLEL:=1
1718 PKG_USE_MIPS16:=0
--- a/net/xray-core/files/vpoint_vmess_freedom.json
+++ b/net/xray-core/files/vpoint_vmess_freedom.json
@@ -6,8 +6,7 @@
66 "clients": [
77 {
88 "id": "23ad6b10-8d1a-40f7-8ad0-e3e35cd38297",
9- "level": 1,
10- "alterId": 64
9+ "level": 1
1110 }
1211 ]
1312 }
--- a/net/xray-core/files/xray.init
+++ b/net/xray-core/files/xray.init
@@ -21,7 +21,7 @@ start_service() {
2121
2222 config_get confdir "config" "confdir"
2323 config_get conffiles "config" "conffiles"
24- config_get datadir "config" "datadir" "/usr/share/v2ray"
24+ config_get datadir "config" "datadir" "/usr/share/xray"
2525 config_get dialer "config" "dialer"
2626 config_get format "config" "format" "json"
2727
--- /dev/null
+++ b/net/xray-core/test.sh
@@ -0,0 +1,7 @@
1+#!/bin/sh
2+
3+case "$1" in
4+ "xray-core")
5+ xray version 2>&1 | grep "${2#*v}"
6+ ;;
7+esac
--- a/net/xtables-addons/Makefile
+++ b/net/xtables-addons/Makefile
@@ -9,9 +9,9 @@ include $(TOPDIR)/rules.mk
99 include $(INCLUDE_DIR)/kernel.mk
1010
1111 PKG_NAME:=xtables-addons
12-PKG_VERSION:=3.19
12+PKG_VERSION:=3.21
1313 PKG_RELEASE:=$(AUTORELEASE)
14-PKG_HASH:=5e36ea027ab15a84d9af1f3f8e84a78b80a617093657f08089bd44657722f661
14+PKG_HASH:=2e09ac129a14f5e9c23b115ebcdfff4aa84e2aeba1268dbdf39b2d752bd71e19
1515
1616 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
1717 PKG_SOURCE_URL:=https://inai.de/files/xtables-addons/
--- a/utils/audit/Makefile
+++ b/utils/audit/Makefile
@@ -19,11 +19,11 @@ PKG_LICENSE_FILES:=COPYING
1919 PKG_CPE_ID:=cpe:/a:linux_audit_project:linux_audit
2020
2121 PKG_FIXUP:=autoreconf
22+PKG_BUILD_DIR=$(BUILD_DIR)/$(PKG_NAME)-packages/$(PKG_NAME)-$(PKG_VERSION)
2223
2324 PKG_USE_MIPS16:=0
2425
2526 include $(INCLUDE_DIR)/package.mk
26-include $(INCLUDE_DIR)/host-build.mk
2727
2828 define Package/audit/Default
2929 TITLE:=Audit Daemon
@@ -138,7 +138,6 @@ define Package/audit/install
138138 $(CP) $(PKG_INSTALL_DIR)/usr/sbin/auditd $(1)/usr/sbin/
139139 endef
140140
141-$(eval $(call HostBuild))
142141 $(eval $(call BuildPackage,libauparse))
143142 $(eval $(call BuildPackage,audit-utils))
144143 $(eval $(call BuildPackage,audit))
--- /dev/null
+++ b/utils/librespeed-cli/Makefile
@@ -0,0 +1,51 @@
1+#
2+# Copyright (C) 2022 CZ.NIC, z. s. p. o. (https://www.nic.cz/)
3+#
4+# This is free software, licensed under the GNU General Public License v2.
5+# See /LICENSE for more information.
6+#
7+
8+include $(TOPDIR)/rules.mk
9+
10+PKG_NAME:=librespeed-cli
11+PKG_VERSION:=1.0.10
12+PKG_RELEASE:=$(AUTORELEASE)
13+
14+PKG_SOURCE:=$(PKG_NAME)-v$(PKG_VERSION).tar.gz
15+PKG_SOURCE_URL:=https://codeload.github.com/librespeed/speedtest-cli/tar.gz/v${PKG_VERSION}?
16+PKG_HASH:=904ec84f41714d5a7ab778534d332219cd254fdd0f97cc33ebb3540d31fb802c
17+
18+PKG_MAINTAINER:=Michal Vasilek <michal.vasilek@nic.cz>
19+PKG_LICENSE:=LGPL-3.0-only
20+PKG_LICENSE_FILES:=LICENSE
21+
22+PKG_BUILD_DIR:=$(BUILD_DIR)/speedtest-cli-$(PKG_VERSION)
23+PKG_BUILD_DEPENDS:=golang/host
24+PKG_BUILD_PARALLEL:=1
25+PKG_USE_MIPS16:=0
26+
27+GO_PKG:=github.com/librespeed/speedtest-cli
28+
29+include $(INCLUDE_DIR)/package.mk
30+include ../../lang/golang/golang-package.mk
31+
32+define Package/librespeed-cli
33+ SECTION:=utils
34+ CATEGORY:=Utilities
35+ TITLE:=Command line client for LibreSpeed
36+ URL:=https://github.com/librespeed/speedtest-cli
37+ DEPENDS:=$(GO_ARCH_DEPENDS)
38+endef
39+
40+define Package/librespeed-cli/description
41+ LibreSpeed client for measuring internet speed from command line.
42+endef
43+
44+define Package/librespeed-cli/install
45+ $(call GoPackage/Package/Install/Bin,$(PKG_INSTALL_DIR))
46+ $(INSTALL_DIR) $(1)/usr/bin
47+ $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/speedtest-cli $(1)/usr/bin/librespeed-cli
48+endef
49+
50+$(eval $(call GoBinPackage,librespeed-cli))
51+$(eval $(call BuildPackage,librespeed-cli))
--- a/utils/nano/Makefile
+++ b/utils/nano/Makefile
@@ -8,12 +8,12 @@
88 include $(TOPDIR)/rules.mk
99
1010 PKG_NAME:=nano
11-PKG_VERSION:=6.4
11+PKG_VERSION:=7.0
1212 PKG_RELEASE:=$(AUTORELEASE)
1313
1414 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.xz
1515 PKG_SOURCE_URL:=@GNU/nano
16-PKG_HASH:=4199ae8ca78a7796de56de1a41b821dc47912c0307e9816b56cc317df34661c0
16+PKG_HASH:=8dd6eac38b2b8786d82681f0e1afd84f6b75210d17391b6443c437e451552149
1717
1818 PKG_LICENSE:=GPL-3.0-or-later
1919 PKG_LICENSE_FILES:=COPYING
--- /dev/null
+++ b/utils/nano/patches/100-post-7.0-fix-commenting.patch
@@ -0,0 +1,18 @@
1+--- a/src/nano.c
2++++ b/src/nano.c
3+@@ -1395,11 +1395,14 @@ bool changes_something(const void *f)
4+ #ifndef NANO_TINY
5+ f == chop_previous_word || f == chop_next_word ||
6+ f == zap_text || f == cut_till_eof || f == do_execute ||
7+- f == do_indent || f == do_unindent || f == do_comment ||
8++ f == do_indent || f == do_unindent ||
9+ #endif
10+ #ifdef ENABLE_JUSTIFY
11+ f == do_justify || f == do_full_justify ||
12+ #endif
13++#ifdef ENABLE_COMMENT
14++ f == do_comment ||
15++#endif
16+ #ifdef ENABLE_SPELLER
17+ f == do_spell ||
18+ #endif
Show on old repository browser